const wordpressPassword = process.env.WORDPRESS_PASSWORD;

module.exports = async () => {
	const response = await fetch("https://lewisdale.dev/wp-json/wp/v2/posts?per_page=100", {
		headers: {
			"Authorization": `Basic lewis:${wordpressPassword}`
		}
	});
	
	const posts = await response.json();

	console.log(posts.map(post => Buffer.from(post.title.rendered).toString("utf-8")));
	return posts;
};